/*
	NXColorPicker.h
	Application Kit, Release 3.0
	Copyright (c) 1991, NeXT, Inc.  All rights reserved. 
*/

#import "colorPicking.h"
#import "NXColorPanel.h"


@interface NXColorPicker : Object <NXColorPickingDefault>
{
    id imageObject;
    NXColorPanel *colorPanel;
}
- initFromPickerMask:(int)mask withColorPanel:owningColorPanel;
- provideNewButtonImage;
- insertNewButtonImage:newButtonImage in:buttonCell;
- viewSizeChanged:sender;
- (float)insertionOrder;
- attachColorList:colorList;
- detachColorList:colorList;
- updateColorList:colorList;
- setMode:(int)mode;

@end
